PHP_ARG_ENABLE(oggvorbis, whether to enable the Ogg Vorbis stream wrapper,
[  --enable-oggvorbis      Enable PHP ogg.vorbis:// wrapper.])

if test "$PHP_OGGVORBIS" == "yes"; then
  AC_CHECK_LIB(ogg, oggpack_writealign, [
    PHP_ADD_LIBRARY(ogg,, OGGVORBIS_SHARED_LIBADD)
  ], [
    AC_MSG_ERROR(Ogg >= 1.0 required !)
  ])

  AC_CHECK_LIB(vorbis, vorbis_block_init, [
    PHP_ADD_LIBRARY(vorbis,, OGGVORBIS_SHARED_LIBADD)
    PHP_ADD_LIBRARY(vorbisfile,, OGGVORBIS_SHARED_LIBADD)
    PHP_ADD_LIBRARY(vorbisenc,, OGGVORBIS_SHARED_LIBADD)
    AC_DEFINE(WITH_OGGVORBIS, 1, [Whether you want Ogg Vorbis Support])
  ], [
    AC_MSG_ERROR(Vorbis >= 1.0 required !)
  ])

  PHP_NEW_EXTENSION(oggvorbis, oggvorbis.c,
	$ext_shared,,)
fi
